
<form (ngSubmit)="registermail()" [formGroup]="form" >
	 <ion-grid class="grid-center-md grid-center-ios">
            <ion-row justify-content-center class="center-block-reservation">
                <ion-col col-12 col-sm col-auto>
                    <ion-list class="list_" padding-top maring-top>
                        <ion-item class="input-cover-md input-cover-ios" >
							<ion-label no-padding no-margin>
								<ion-icon name="mail"></ion-icon>
      								Adresse e-mail
							</ion-label>
                            <ion-input type="email" formControlName="email" 
							    placeholder="  - - - - - - - - - - - - "
							    [(disabled)]="showPswrd">
							</ion-input>
                        </ion-item>
                    </ion-list>
                </ion-col>
            </ion-row>
            <ion-row justify-content-center >
                <ion-col col-12 col-sm col-auto>
                    <button ion-button  
                        *ngIf = "!showPswrd" class="btn-validate">
					        Valider
                    </button>
                    <button ion-button  *ngIf="showPswrd"  (tap) = "modify('mail')" class="btn-modified">
					        Modifier
                    </button>
                </ion-col>
            </ion-row>
             
    </ion-grid>


</form>
<ion-grid class="grid-center-md grid-center-ios">
	<ion-row justify-content-center *ngIf="showPswrd && form.valid">
                <ion-col col-12 col-sm col-auto>
                    <ion-list class="list_" padding-top maring-top>
                        <ion-item  class="input-cover-md input-cover-ios">
                            <ion-label no-padding no-margin>
								<ion-icon name="key"></ion-icon>
      								Mot de passe
							</ion-label>
							<ion-input  type="password" [(ngModel)]="passwords.password" placeholder="********">
							</ion-input>
                        </ion-item>
                    </ion-list>
                </ion-col>
            </ion-row>
            <ion-row justify-content-center  *ngIf="showPswrd && form.valid">
                <ion-col col-12 col-sm col-auto>
                    <ion-list class="list_" padding-top maring-top>
                        <ion-item  class="input-cover-md input-cover-ios">
                            <ion-label no-padding no-margin>
								<ion-icon name="key"></ion-icon>
      								 Resaisir le mot de passe
							</ion-label>
							<ion-input  type="password" [(ngModel)]="passwords.confirm" placeholder="********">
							</ion-input>
                        </ion-item>
                    </ion-list>
                </ion-col>
            </ion-row>
            <ion-row *ngIf="showPswrd">
				<ion-col col-12 col-sm col-auto >
					<button ion-button full  class="btn-form" (tap)="validateInfoLogin()">Enregistrer</button>
				</ion-col>
			</ion-row> 
</ion-grid>